Subject: Re: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 07 May 2021 13:14:03 +0200

Boruch Baum <[email-masked]> writes:

> But I don't ever want a tab, ever, in any document that I work on, ever.

That's counter to how Emacs sources are (and should remain).  We use a
mix of tabs and spaces (but the spaces are after the tabs).

> If tabs are needed in order to be compatible with upstream then I'd want
> emacs to untabify on read and tabify on export.

I don't think there's any such functionality in Emacs, but it shouldn't
be difficult for you to hack up something like that to fix up your
patches.  It would be easier if you just didn't change your tab/space
settings when you work on Emacs sources, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no